<?php

	$escape_num=0;
		$new='';
		$prev='';
		//معالجة النص المرسل وتجنب ا الحقن
		foreach ($post_data as $key => $value) {
			if (is_string($value)) {
				$new=$post_data[$key];
				$escape_num=0;
				for($i=1;$i<=5;$i++){
					$prev=$new;
					$new = html_entity_decode($prev, ENT_QUOTES | ENT_HTML5, 'UTF-8');
					if($new!=$prev){
						$escape_num++;
					}
					
					if($escape_num==3){
					
						$status='not_done';
						$message='النص مشبوه';
						goto to_result;
					}
				}
				$post_data[$key]=$new;
			}
		}
	
	
	
	require_once 'htmlpurifier/HTMLPurifier.auto.php';

	$config = HTMLPurifier_Config::createDefault();
	$config->set('Core.Encoding', 'UTF-8'); // مهم للتأكد من التعرف على الأحرف
	$config->set('HTML.Allowed', 'b,i,u,a[href|target|rel],br,p,span[style],font[color|size|face]');
	$config->set('CSS.AllowedProperties', 'color,font-size,font-weight,text-decoration');
	$config->set('URI.AllowedSchemes', array( 'https' => true));
	$config->set('Attr.AllowedFrameTargets', array('_blank')); // للسماح بـ target="_blank"

	$purifier = new HTMLPurifier($config);
	
	to_result:

?>
	